# Usage Tips

- [Troubleshooting](https://docs.klai.studio/v1/usage/troubleshooting.md)
- [Debugging](https://docs.klai.studio/v1/usage/troubleshooting/debugging.md)
- [Frozen Actions Queue](https://docs.klai.studio/v1/usage/troubleshooting/frozen-actions-queue.md)
- [JavaScript Tips](https://docs.klai.studio/v1/usage/javascript-tips.md)
- [Calling Named Actions from HTML Vue Events](https://docs.klai.studio/v1/usage/javascript-tips/calling-named-actions-from-html-vue-events.md)
- [Calculations](https://docs.klai.studio/v1/usage/javascript-tips/calculations.md)
- [System Overview](https://docs.klai.studio/v1/usage/system-overview.md)
- [Forms Processor](https://docs.klai.studio/v1/usage/formsoverview.md)
- [Form Types](https://docs.klai.studio/v1/usage/formsoverview/formtypesoverview.md)
- [HTML & VueJS](https://docs.klai.studio/v1/usage/formsoverview/working-with-html.md)
- [Styling and Design](https://docs.klai.studio/v1/usage/formsoverview/styling.md)
- [JS Caclulations and Functions](https://docs.klai.studio/v1/usage/formsoverview/js-caclulations-and-functions.md)
- [Customizing and Styling](https://docs.klai.studio/v1/usage/stylingverview.md): There are many ways to customize a BetterForms site to suit the needs of your application!
- [Custom Components](https://docs.klai.studio/v1/usage/stylingverview/custom-components-1.md): This is a preliminary spec for building and using custom components
- [Custom CSS](https://docs.klai.studio/v1/usage/stylingverview/custom-css.md): You can apply custom CSS styles on a per-site basis
- [Custom Components](https://docs.klai.studio/v1/usage/stylingverview/custom-components.md): What are they, how are they reusable and why
- [Page Pre-loaders](https://docs.klai.studio/v1/usage/stylingverview/page-pre-loaders.md): Customize the animated page loading style
- [Favicon](https://docs.klai.studio/v1/usage/stylingverview/favicon.md)
- [Design Patterns and Best Practices](https://docs.klai.studio/v1/usage/design-patterns-and-debugging.md): UX, Performance optimizations and best practices for building BetterForms apps.
- [Working with environments](https://docs.klai.studio/v1/usage/design-patterns-and-debugging/untitled.md)
- [Handling Data](https://docs.klai.studio/v1/usage/design-patterns-and-debugging/fetching-data.md)
- [Saving Data](https://docs.klai.studio/v1/usage/design-patterns-and-debugging/saving-data.md)
- [Optimization](https://docs.klai.studio/v1/usage/design-patterns-and-debugging/optimization.md)
- [Business Logic](https://docs.klai.studio/v1/usage/design-patterns-and-debugging/business-logic.md)
- [UI / UX](https://docs.klai.studio/v1/usage/design-patterns-and-debugging/ui-ux.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/usage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
